Leopard: ghc 6.8.1 and the case of the missing _environ

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Leopard: ghc 6.8.1 and the case of the missing _environ

Joel Reymont
Symptoms:

You build 6.8.1 from source on Leopard (x86 in my case) and then

junior:ghc-6.8.1 joelr$ ghci
GHCi, version 6.8.1: http://www.haskell.org/ghc/  :? for help
ghc-6.8.1:
/usr/local/lib/ghc-6.8.1/lib/base-3.0.0.0/HSbase-3.0.0.0.o: unknown  
symbol `_environ'
Loading package base ... linking ... ghc-6.8.1: unable to load package  
`base'

Problem:

ghc binaries are being stripped upon installation which eliminates  
_environ, e.g.

junior:tmp joelr$ nm x|grep environ
00002ff0 T ___hscore_environ
0004d004 D _environ

junior:tmp joelr$ strip x
junior:tmp joelr$ nm x|grep environ

Solution:

Need to make sure install-sh does _not_ use the -s option. Haven't  
found out where this needs to be done yet. A temporary workaround is  
to ask Manuel for the pre-built binaries.

        Thanks, Joel

--
http://wagerlabs.com





_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe
Reply | Threaded
Open this post in threaded view
|

Re: Leopard: ghc 6.8.1 and the case of the missing _environ

Simon Marlow-5
Joel Reymont wrote:

> Symptoms:
>
> You build 6.8.1 from source on Leopard (x86 in my case) and then
>
> junior:ghc-6.8.1 joelr$ ghci
> GHCi, version 6.8.1: http://www.haskell.org/ghc/  :? for help
> ghc-6.8.1:
> /usr/local/lib/ghc-6.8.1/lib/base-3.0.0.0/HSbase-3.0.0.0.o: unknown
> symbol `_environ'
> Loading package base ... linking ... ghc-6.8.1: unable to load package
> `base'
 >

> Problem:
>
> ghc binaries are being stripped upon installation which eliminates
> _environ, e.g.
>
> junior:tmp joelr$ nm x|grep environ
> 00002ff0 T ___hscore_environ
> 0004d004 D _environ
>
> junior:tmp joelr$ strip x
> junior:tmp joelr$ nm x|grep environ
>
> Solution:
>
> Need to make sure install-sh does _not_ use the -s option. Haven't found
> out where this needs to be done yet. A temporary workaround is to ask
> Manuel for the pre-built binaries.

MacOS folks: is this still an issue?  If so, could someone create a ticket?

Cheers,
        Simon

_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe